<!DOCTYPE html>
<html lang="en">

<head>
  <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
  <meta content="utf-8" http-equiv="encoding">
  <title>Arcules Video Player Demo</title>
  <script src="//cdn.jsdelivr.net/npm/protobufjs@7.2.6/dist/protobuf.js"></script>

  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link
    href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap"
    rel="stylesheet">

  <link rel="stylesheet" href="demo.css">

  </link>
</head>

<body>
  <div class="container" style="justify-content:center">
    <h1>Arcules Video Player Demo</h1>
  </div>
  <div class="vertical-container section divided" style="align-items:center">
  </div>
  <div class="vertical-container tight">
    <h3>Options</h3>
    <div class="tight container">
      <fieldset>
        <legend>Configuration</legend>
        <div>
          <div>
            <label for="SERVER_HOST">Server: </label>
            <select id="SERVER_HOST">
              <option value="msapi.arcules.ninja">Integration</option>
              <option value="msapi.arcules.com">Production</option>
            </select>
          </div>
          <label for="jwt">JWT:</label>
          <p><small>Retrievable from: /login</small></p>
          <input type="text" id="jwt" name="jwt" value="" style="overflow: clip;" />
        </div>
        <div>
          <label for="org">Org ID:</label>
          <p><small>Retrievable from: /organizations</small></p>
          <input type="text" id="org" name="org" value="" style="overflow: clip;" />
        </div>


      </fieldset>
      <fieldset>
        <legend>Device Settings</legend>
        <label for="channelGUID">Channel GUID:</label>
        <p><small>Retrievable from: /devices</small></p>
        <input type="text" id="channelGUID" name="channelGUID" title="Channel GUID" />
      </fieldset>
      <button id="startLiveButton" class="big-button shown" value="go">Start Live</button>
    </div>
    <div class="tight container">
      <fieldset>
        <legend>Playback Option</legend>
        <p>Cursor Request</p>
        <p><small>Returns a number of video files closest to the given timestamp and direction</small></p>
        <label for="startTime">Start time (UTC):</label>
        <input type="datetime-local" id="startTime" name="startTime" />
        <label for="gopCount">GOP Count: (Min: 1, Max: 20)</label>
        <input type="number" id="gopCount" name="gopCount" min="1" max="20" value="5" />
        <label for="directionToPlay">Direction:</label>
        <select id="directionToPlay">
          <option value="1">Forward</option>
          <option value="0">Backward</option>
        </select>
      </fieldset>
      <button id="startButton" class="big-button shown" value="go">Start Cursor Playback</button>
    </div>
  </div>

  <div class="vertical-container tight">
    <h3>Video</h3>
    <div id="errorBox" class="hidden"></div>
    <video id="remoteVideo" class="hidden" autoplay controls></video>
  </div>
  <div class="tight vertical-container">
    <h3>Logs</h3>
    <div id="logs" class="vertical-container tight box" style="overflow-wrap:anywhere">
    </div>
  </div>
  <script src="demo.js" type="module" defer></script>

</body>